core.game

## Class BasicGame

- java.lang.Object
- - core.game.Game
  - - core.game.BasicGame

-     public class BasicGame
      extends Game

  Created with IntelliJ IDEA. User: Diego Date: 16/10/13 Time: 14:00 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class core.game.Game

      `Game.Bucket`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `square_size` Allows definition of sprite size from the VGDL description.

    - ### Fields inherited from class core.game.Game

      `avatar, block_size, bucketList, charMapping, classConst, collisionEffects, definedEffects, definedEOSEffects, eosEffects, frame_rate, fwdModel, gameTick, historicEvents, is_stochastic, isEnded, iSubTypes, ki, kill_list, MAX_SPRITES, nextSpriteID, num_sprites, resources_colors, resources_limits, score, screenSize, singletons, size, spriteGroups, spriteOrder, terminations, winner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicGame(GameContent content)` Default constructor for a basic game.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSpritesIn(java.util.ArrayList<java.lang.String> keys, Vector2d position)` Adds all sprites that 'c' represents in the position indicated.
    `void` | `buildLevel(java.lang.String gamelvl)` Builds a level, receiving a file name.
    `protected void` | `parseParameters(GameContent content)` Reads the parameters of a game type.

    - ### Methods inherited from class core.game.Game

      `_updateCollisionDict, addSprite, addSprite, addSprite, checkTimeOut, clearAll, disqualify, eventHandling, getAvatar, getCharMapping, getCollisionEffects, getDefinedEffects, getDefinedEosEffects, getEosEffects, getGameTick, getNumSprites, getObservation, getRandomGenerator, getResourceColor, getResourceLimit, getScreenSize, getSpriteGroup, getSpriteOrder, getSprites, getTerminations, getWinner, initForwardModel, initSprites, isGameOver, killSprite, playGame, reset, reverseDirection, runGame, setAvatar, setStochastic, terminationHandling, tick`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### square_size

          public int square_size

      Allows definition of sprite size from the VGDL description. If indicated, super.block_size is set to this variable. square_size should be divisible by all speeds in the game definition.

  - ### Constructor Detail

    - #### BasicGame

          public BasicGame(GameContent content)

      Default constructor for a basic game.
      Parameters:
        `content` - Contains parameters for the game.

  - ### Method Detail

    - #### buildLevel

          public void buildLevel(java.lang.String gamelvl)

      Description copied from class: `Game`
      Builds a level, receiving a file name.
      Specified by:
        `buildLevel` in class `Game`
      Parameters:
        `gamelvl` - file name containing the level.

    - #### parseParameters

          protected void parseParameters(GameContent content)

      Reads the parameters of a game type.
      Overrides:
        `parseParameters` in class `Game`
      Parameters:
        `content` - list of parameter-value pairs.

    - #### addSpritesIn

          public void addSpritesIn(java.util.ArrayList<java.lang.String> keys,
                          Vector2d position)

      Adds all sprites that 'c' represents in the position indicated.
      Parameters:
        `keys` - List of sprite types to add.
        `position` - position where all these sprites will be placed.